Subject: bug#30786: closed (Re: bug#30786: Save text properties in desktop)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Apr 2018 20:34:03 +0000

Your bug report

#30786: Save text properties in desktop

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30786: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30786
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30786: Save text properties in desktop
From: Juri Linkov <[email-masked]>
To: Noam Postavsky <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 Apr 2018 23:32:14 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.0.50

> Currently I see no better way than in the aforementioned patch.
> At least it provides 100% guarantee of readability of the desktop file
> in the same version that wrote it.

Additionally I found out that savehist uses the same solution,
so it's consistent to do the same, pushed to master as 99de04e.

Subject: Save text properties in desktop
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Mon, 12 Mar 2018 23:57:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Why does desktop.el not save text properties?
Maybe for some historical reasons?
This is required for bug#22479.
I can't find a problem while trying this patch:

diff --git a/lisp/desktop.el b/lisp/desktop.el
index 8bd4465..a7e549f 100644
--- a/lisp/desktop.el
+++ b/lisp/desktop.el
@@ -852,10 +852,7 @@ desktop--v2s
     ((or (numberp value) (null value) (eq t value) (keywordp value))
      (cons 'may value))
     ((stringp value)
-     (let ((copy (copy-sequence value)))
-       (set-text-properties 0 (length copy) nil copy)
-       ;; Get rid of text properties because we cannot read them.
-       (cons 'may copy)))
+     (cons 'may value))
     ((symbolp value)
      (cons 'must value))
     ((vectorp value)